summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-23 07:06:44 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-23 08:03:48 +0200
commite6ea5e6bb5caf90915943d368e57cbffb1af5e59 (patch)
tree147a9efc6e17aaf842e9962a85c4e10de77efad6
parentdev-python/hypothesis: Bump to 5.18.0 (diff)
downloadgentoo-e6ea5e6bb5caf90915943d368e57cbffb1af5e59.tar.gz
gentoo-e6ea5e6bb5caf90915943d368e57cbffb1af5e59.tar.bz2
gentoo-e6ea5e6bb5caf90915943d368e57cbffb1af5e59.zip
dev-python/jsonpatch: Bump to 1.26
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/jsonpatch/Manifest1
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.26.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/Manifest b/dev-python/jsonpatch/Manifest
index 90c624cf749..b531445381d 100644
--- a/dev-python/jsonpatch/Manifest
+++ b/dev-python/jsonpatch/Manifest
@@ -1 +1,2 @@
DIST jsonpatch-1.25.tar.gz 24340 BLAKE2B 0022b4b0b3a0487958b86f14c1738a32593b8056510e3836e15385874b64f5d243d757c99a146a48da6563f0d9330eb38cb91ad6cde3e0a1b4cb8cbd3b15f9dd SHA512 5e1d5b6dcb6ee847ddd561400fe2d00e07aa1827a63ab98a38cd5e91fa0e52d8635eba1192edbccf9c7b9ce9c7ce0a414d580665c427c87a820e533d26092ad6
+DIST jsonpatch-1.26.tar.gz 24440 BLAKE2B 345831bd9a9fc1902d0959685ed2dbbc0bf04d191bbc78567d27283e9ae52f7e22f50e9f400461300d1c3388712afa51d4d6a2ddd0a06dbc0a1b576b02bfe807 SHA512 1ab25c8e091cd0b772062a8c448fee4772081d8bd715489b2f7a76e4c0bdff8b26dd38b26c3037cf9bdf8780b97e62a20b6a5bdc43f43af16fdae51d1291bf52
diff --git a/dev-python/jsonpatch/jsonpatch-1.26.ebuild b/dev-python/jsonpatch/jsonpatch-1.26.ebuild
new file mode 100644
index 00000000000..78968326363
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.26.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Apply JSON-Patches like http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="https://github.com/stefankoegl/python-json-patch"
+SRC_URI="https://github.com/stefankoegl/python-json-patch/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/python-json-patch-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=">=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? ( ${RDEPEND} )
+"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+}